package com.kdanmobile.reader

import android.arch.lifecycle.ViewModel
import android.arch.lifecycle.ViewModelProvider

class ReaderViewModelFactory : ViewModelProvider.Factory {

    override fun <T : ViewModel?> create(modelClass: Class<T>): T {
        return ReaderViewModel(Config.PDF_SDK_LICENSE, Config.PDF_SDK_RSA_MSG) as T
    }
}